curl --request POST \
--url https://api.palomma.com/v0/payinRequests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payinSourceId": "<string>",
"amount": 123,
"reference": "<string>",
"targetMerchantAccountId": "<string>"
}
'import requests
url = "https://api.palomma.com/v0/payinRequests"
payload = {
"payinSourceId": "<string>",
"amount": 123,
"reference": "<string>",
"targetMerchantAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payinSourceId: '<string>',
amount: 123,
reference: '<string>',
targetMerchantAccountId: '<string>'
})
};
fetch('https://api.palomma.com/v0/payinRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinRequests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payinSourceId' => '<string>',
'amount' => 123,
'reference' => '<string>',
'targetMerchantAccountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinRequests"
payload := strings.NewReader("{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.palomma.com/v0/payinRequests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinRequests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "01HPR83V7JBNJTKT303NTY3YGA",
"reference": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"payinSourceId": "01HPR7A40E44S0WDR189YXA8GH",
"payinSourceDetails": {
"reference": "<string>",
"description": "<string>",
"partialPayinsEnabled": true,
"type": "bankAccount"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"targetMerchantAccountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Create Payin Request
curl --request POST \
--url https://api.palomma.com/v0/payinRequests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payinSourceId": "<string>",
"amount": 123,
"reference": "<string>",
"targetMerchantAccountId": "<string>"
}
'import requests
url = "https://api.palomma.com/v0/payinRequests"
payload = {
"payinSourceId": "<string>",
"amount": 123,
"reference": "<string>",
"targetMerchantAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payinSourceId: '<string>',
amount: 123,
reference: '<string>',
targetMerchantAccountId: '<string>'
})
};
fetch('https://api.palomma.com/v0/payinRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinRequests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payinSourceId' => '<string>',
'amount' => 123,
'reference' => '<string>',
'targetMerchantAccountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinRequests"
payload := strings.NewReader("{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.palomma.com/v0/payinRequests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinRequests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payinSourceId\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"targetMerchantAccountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "01HPR83V7JBNJTKT303NTY3YGA",
"reference": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"payinSourceId": "01HPR7A40E44S0WDR189YXA8GH",
"payinSourceDetails": {
"reference": "<string>",
"description": "<string>",
"partialPayinsEnabled": true,
"type": "bankAccount"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"targetMerchantAccountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ID indicating which Payment Source to debit from.
Amount to be paid in COP. Must be greater than $1.000. The maxiumum is configured per merchant but defaults to $2.000.000. Contact us if you need to increase this limit.
Reference sent in by merchant to identify Payin Request.
An optional account ID of the target merchant account for this Payin Request.
Response
Payin Request created successfully
Unique identifier for this Payin Request.
"01HPR83V7JBNJTKT303NTY3YGA"
Reference sent in by merchant to identify Payin Request.
Reference to customer who owns the Payin Source from which the Payin Request was created.
"01HPR57X6QR5ZRKEEKBSDBW4RA"
Details about the customer who owns the Payin Source from which the Payin Request was created.
Show child attributes
Show child attributes
Reference to Payin Source from which the Payin Request was created.
"01HPR7A40E44S0WDR189YXA8GH"
Details about the Payin Source from which the Payin Request was created.
Show child attributes
Show child attributes
Status of the Payin Request.
processing, approved, partial, cancelled "approved"
Additional detail on the status. Only present when status is "cancelled".
AUTHENTICATION_FAILED, CUSTOMER_CANCELLATION, DECLINED_BY_BANK, EXPIRED, INVALID_ACCOUNT, NOT_ENOUGH_FUNDS, ERROR Amount to collect from the customer’s Payin Source. Must be an integer.
100000
Amount collected by Payin Request. Starts at 0 and changes on status change to "approved" or "partial".
100000
Fee charged for the transaction. This fee will be subtracted from amountCollected at settlement time.
500
Reference to Merchant Account. Safe to ignore if Merchant Accounts are not being used.
ISO string indicating when the payin request was created.
ISO string indicating when the payin request was last updated.
